ext {
    kotlin_version = "1.3.21"
    dev_mode = false

    ydlPublishVersion = [
            // -------------- 业务模块 --------------
            //第三步 若干
            "m-confide"       : "0.0.49.65",
            "m-consultant"    : "0.0.60.16",
            "m-fm"            : "0.0.30.04",
            "m-user"          : "0.0.62.04",
            "m-home"          : "0.0.23.17",
            "m-im"            : "0.0.21.21",
            "m-dynamic"       : "0.0.7.35",
            "m-article"       : "0.0.0.10",

            "m-muse"          : "0.0.28.27",
            "m-tests"         : "0.0.24.18",
            "m-course"        : "0.0.43.36",

            //-------------- 业务模块 API 层 --------------
            "m-audioim-api"   : "0.0.6",
            "m-confide-api"   : "0.0.2.11",
            "m-consultant-api": "0.0.5.63",
            "m-course-api"    : "0.0.3.6",
            "m-fm-api"        : "0.0.3",
            "m-muse-api"      : "0.0.1",
            "m-tests-api"     : "0.0.2",
            "m-user-api"      : "0.0.10.19",
            "m-home-api"      : "0.0.4.2",
            "m-im-api"        : "0.0.12.23",
            "m-dynamic-api"   : "0.0.3.71",
            //-------------- 功能组件 --------------

            //mdt 组件
            "ydl-tuicore"   : "0.0.22",
//            "m-tuicore-ydl"   : "0.0.10",
            //第一步
            "ydl-platform"    : "0.0.40.96",

            //第二步 若干
            "ydl-webview"     : "0.0.38.61",
            "ydl-media"       : "0.0.21.42",
            "ydl-pay"         : "0.0.18.19",
            "m-audioim"       : "0.0.49.29.85",
            "ydl-flutter-base": "0.0.14.38",

            //以下 几乎不会动
            "router"          : "0.0.1",
            "ydl-net"         : "0.0.3.93",
            "ydl-utils"       : "0.0.3.3",
    ]
    ydl_app = [
            appName      : "壹点灵心理咨询",
            applicationId: "com.cxzapp.yidianling",
            versionName  : "4.0.99",
            versionCode  : 4099,
    ]

    xlzx_app = [
            appName      : "心理咨询",
            applicationId: "com.cxzapp.xinlizixun",
            versionName  : "3.9.50",
            versionCode  : 3950,
    ]

    android = [
            compileSdkVersion: 28,
            buildToolsVersion: "28.0.3",
            minSdkVersion    : 21,
            targetSdkVersion : 28,
            versionCode      : 1000,
            versionName      : "1.0.00",
            applicationId    : "com.ydl"
    ]

    version = [
            androidSupportSdkVersion: "28.0.0",
            retrofitSdkVersion      : "2.6.0",
            dagger2SdkVersion       : "2.23.2",
            glideSdkVersion         : "4.12.0",
            frescoSdkVersion        : "2.1.0",
            butterknifeSdkVersion   : "9.0.0-rc1",
            rxlifecycleSdkVersion   : "1.0",
            rxlifecycle2SdkVersion  : "2.2.2",
            espressoSdkVersion      : "3.0.1",
            canarySdkVersion        : "1.5.4"
    ]


    ydlCompileVersion = [
            // -------------- 业务模块 --------------
            //第三步 若干

            "m-confide"       : "0.0.49.65",
            "m-consultant"    : "0.0.60.16",
            "m-fm"            : "0.0.30.07",
            "m-user"          : "0.0.62.04",
            "m-home"          : "0.0.23.17",
            "m-im"            : "0.0.21.21",
            "m-dynamic"       : "0.0.7.35",
            "m-article"       : "0.0.0.8",

            "m-muse"          : "0.0.28.27",
            "m-tests"         : "0.0.24.18",
            "m-course"        : "0.0.43.36",
            //-------------- 业务模块 API 层 --------------
            "m-audioim-api"   : "0.0.6",
            "m-confide-api"   : "0.0.2.11",
            "m-consultant-api": "0.0.5.63",
            "m-course-api"    : "0.0.3.6",
            "m-fm-api"        : "0.0.3",
            "m-muse-api"      : "0.0.1",
            "m-tests-api"     : "0.0.2",
            "m-user-api"      : "0.0.10.19",
            "m-home-api"      : "0.0.4.2",
            "m-im-api"        : "0.0.12.23",
            "m-dynamic-api"   : "0.0.3.71",
            //-------------- 功能组件 --------------
            //mdt组件
            "ydl-tuicore"   : "0.0.9",
            "m-tuicore-ydl"   : "0.0.10",
            //第一步
            "ydl-platform"    : "0.0.40.96",

            //第二步 若干
            "ydl-webview"     : "0.0.38.61",
            "ydl-media"       : "0.0.21.42",
            "ydl-pay"         : "0.0.18.19",
            "m-audioim"       : "0.0.49.29.85",
            "ydl-flutter-base": "0.0.14.38",

            //以下 几乎不会动
            "router"          : "0.0.1",
            "ydl-net"         : "0.0.3.93",
            "ydl-utils"       : "0.0.3.3",
    ]

    dependencies = [
            //support
            "appcompat-v7"                 : 'androidx.appcompat:appcompat:1.2.0',
            "design"                       : 'com.google.android.material:material:1.3.0',
            "support-v4"                   : 'androidx.legacy:legacy-support-v4:1.0.0',
            "cardview-v7"                  : 'androidx.cardview:cardview:1.0.0',
            "annotations"                  : "androidx.annotation:annotation:1.0.0",
            "recyclerview-v7"              : "androidx.recyclerview:recyclerview:1.0.0",
            "constraint-layout"            : 'androidx.constraintlayout:constraintlayout:1.1.3',

            //network
            "retrofit"                     : "com.squareup.retrofit2:retrofit:${version["retrofitSdkVersion"]}",
            "retrofit-converter-gson"      : "com.squareup.retrofit2:converter-gson:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava"      : "com.squareup.retrofit2:adapter-rxjava:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava2"     : "com.squareup.retrofit2:adapter-rxjava2:${version["retrofitSdkVersion"]}",
            "retrofit-converter-scalars"   : "com.squareup.retrofit2:converter-scalars:${version["retrofitSdkVersion"]}",
            "okhttp3"                      : "com.squareup.okhttp3:okhttp:3.12.3",
            "okhttp4"                      : "com.squareup.okhttp3:okhttp:4.0.0",
            "okhttp3-logging"              : "com.squareup.okhttp3:logging-interceptor:3.12.2",
            "okhttp-urlconnection"         : "com.squareup.okhttp:okhttp-urlconnection:2.0.0",
            "glide"                        : "com.github.bumptech.glide:glide:${version["glideSdkVersion"]}",
            "glide-compiler"               : "com.github.bumptech.glide:compiler:${version["glideSdkVersion"]}",
            "glide-loader-okhttp3"         : "com.github.bumptech.glide:okhttp3-integration:${version["glideSdkVersion"]}",
            "glide-annotations"            : "com.github.bumptech.glide:annotations:${version["glideSdkVersion"]}",
            "glide-transformations"        : "jp.wasabeef:glide-transformations:4.3.0",
//            "picasso"                      : "com.squareup.picasso:picasso:2.5.2",
            "fresco"                       : "com.facebook.fresco:fresco:${version["frescoSdkVersion"]}",
            // 支持 WebP （静态图+动图），需要添加
            "fresco-animated-webp"         : "com.facebook.fresco:animated-webp:${version["frescoSdkVersion"]}",
            "fresco-webpsupport"           : "com.facebook.fresco:webpsupport:${version["frescoSdkVersion"]}",

            //view
            "autolayout"                   : "com.zhy:autolayout:1.4.5",
            "butterknife"                  : "com.jakewharton:butterknife:${version["butterknifeSdkVersion"]}",
            "butterknife-compiler"         : "com.jakewharton:butterknife-compiler:${version["butterknifeSdkVersion"]}",
            "pickerview"                   : "com.contrarywind:Android-PickerView:3.2.5",
            "photoview"                    : "com.github.chrisbanes.photoview:library:1.2.3",
            "numberprogressbar"            : "com.daimajia.numberprogressbar:library:1.2@aar",
            "nineoldandroids"              : "com.nineoldandroids:library:2.4.0",
            "paginate"                     : "com.github.markomilos:paginate:0.5.1",
            "vlayout"                      : "com.alibaba.android:vlayout:1.1.0@aar",
            "autosize"                     : "me.jessyan:autosize:1.1.2",

            //rx1
            "rxandroid"                    : "io.reactivex:rxandroid:1.2.1",
            "rxjava"                       : "io.reactivex:rxjava:1.3.0",
            "rxlifecycle"                  : "com.trello:rxlifecycle:${version["rxlifecycleSdkVersion"]}",
            "rxlifecycle-components"       : "com.trello:rxlifecycle-components:${version["rxlifecycleSdkVersion"]}",
            "rxcache"                      : "com.github.VictorAlbertos.RxCache:runtime:1.7.0-1.x",
            "rxcache-jolyglot-gson"        : "com.github.VictorAlbertos.Jolyglot:gson:0.0.4",
            "rxbinding-recyclerview-v7"    : "com.jakewharton.rxbinding:rxbinding-recyclerview-v7:1.0.1",
            "rxpermissions"                : "com.tbruyelle.rxpermissions:rxpermissions:0.9.4@aar",
            "rxerrorhandler"               : "me.jessyan:rxerrorhandler:1.0.1",

            //rx2
            "rxandroid2"                   : "io.reactivex.rxjava2:rxandroid:2.1.1",
            "rxjava2"                      : "io.reactivex.rxjava2:rxjava:2.2.10",
            "rxlifecycle2"                 : "com.trello.rxlifecycle2:rxlifecycle:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-android"         : "com.trello.rxlifecycle2:rxlifecycle-android:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-components"      : "com.trello.rxlifecycle2:rxlifecycle-components:${version["rxlifecycle2SdkVersion"]}",
            "rxcache2"                     : "com.github.VictorAlbertos.RxCache:runtime:1.8.3-2.x",
            "rxpermissions2"               : "com.tbruyelle.rxpermissions2:rxpermissions:0.9.5@aar",
            "xxpermission"                 : "com.hjq:xxpermissions:10.2",
            "rxerrorhandler2"              : "me.jessyan:rxerrorhandler:2.1.1",

            //tools
//            "dagger2"                      : "com.google.dagger:dagger:${version["dagger2SdkVersion"]}",
//            "dagger2-android"              : "com.google.dagger:dagger-android:${version["dagger2SdkVersion"]}",
//            "dagger2-android-support"      : "com.google.dagger:dagger-android-support:${version["dagger2SdkVersion"]}",
//            "dagger2-compiler"             : "com.google.dagger:dagger-compiler:${version["dagger2SdkVersion"]}",
//            "dagger2-android-processor"    : "com.google.dagger:dagger-android-processor:${version["dagger2SdkVersion"]}",
            "androideventbus"              : "org.simple:androideventbus:1.0.5.1",
            "otto"                         : "com.squareup:otto:1.3.8",
            "gson"                         : "com.google.code.gson:gson:2.8.5",
            "aliyun"                       : "com.aliyun.openservices:aliyun-log-android-sdk:2.5.13",
            "javax.annotation"             : "javax.annotation:jsr250-api:1.0",
            "arouter"                      : "com.alibaba:arouter-api:1.4.1",
            "progressmanager"              : "me.jessyan:progressmanager:1.5.0",
            "retrofit-url-manager"         : "me.jessyan:retrofit-url-manager:1.4.0",
            "lifecyclemodel"               : "me.jessyan:lifecyclemodel:1.0.1",

            //test
            "junit"                        : "junit:junit:4.12",
            "espresso-core"                : "androidx.test.espresso:espresso-core:3.1.0",
            "mockito-core"                 : "org.mockito:mockito-core:1.+",
            "timber"                       : "com.jakewharton.timber:timber:4.7.1",
            "logger"                       : "com.orhanobut:logger:2.2.0",
            "canary-debug"                 : "com.squareup.leakcanary:leakcanary-android:${version["canarySdkVersion"]}",
            "canary-release"               : "com.squareup.leakcanary:leakcanary-android-no-op:${version["canarySdkVersion"]}",

            //YDL
            "ptr-lib-release"              : "com.ydl:ptr-lib-release:1.0.0@aar",
            "systembartint"                : "com.readystatesoftware.systembartint:systembartint:1.0.3",
            "cube"                         : "in.srain.cube:cube-sdk:1.0.44@aar",
            "support-multidex"             : 'androidx.multidex:multidex:2.0.0',
            "ydl-ijkplayer-jjdxm"          : "com.ydl:jjdxm-ijkplayer:0.0.33",
            "robust"                       : "com.meituan.robust:robust:0.4.87",
            "walle"                        : "com.meituan.android.walle:library:1.1.5",
            "jpush"                        : "cn.jiguang.sdk:jpush:3.3.6",
            "jcore"                        : "cn.jiguang.sdk:jcore:2.1.4",
            "eventbus"                     : "de.greenrobot:eventbus:2.4.0",
            "BaseRecyclerViewAdapterHelper": "com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.34",
            "flowlayout"                   : "cn.lankton:flowlayout:3.1.0",
            "androidanimations"            : "com.daimajia.androidanimations:library:2.3@aar",
            //友盟统计
            "umeng-common"                 : "com.umeng.umsdk:common:9.3.8",
            "umeng-asms"                   : "com.umeng.umsdk:asms:1.2.2",
            //友盟社会化分享
            "umeng-share-core"             : "com.umeng.umsdk:share-core:7.1.4",
            "umeng-share-qq"               : "com.umeng.umsdk:share-qq:7.1.4",
            "umeng-share-wechat"           : "com.umeng.umsdk:share-wx:7.1.4",
            //分享面板
            "umeng-shareboard"             : "com.umeng.umsdk:share-board:7.1.4",
            "umeng-wx-guanfang"            : "com.tencent.mm.opensdk:wechat-sdk-android-without-mta:6.6.5",
            "umeng-qq-guanfang"            : "com.tencent.tauth:qqopensdk:3.51.2",

            //删除集成调试库，其功能合并到umeng基础组件库。
            //"umeng-debug"                  : "com.umeng.sdk:debug:1.0.0",
            "tablayout"                    : "com.flyco.tablayout:FlycoTabLayout_Lib:2.1.2@aar",
            "stetho"                       : "com.facebook.stetho:stetho:1.5.0",
            "stetho-okhttp3"               : "com.facebook.stetho:stetho-okhttp3:1.4.1",
            "aspectjrt"                    : "org.aspectj:aspectjrt:1.8.9",
            "bugly-crashreport"            : "com.tencent.bugly:crashreport:2.8.6.0",
            "bugly-nativecrashreport"      : "com.tencent.bugly:nativecrashreport:3.6.0.1",
            "ydl-image"                    : "com.ydl:ydl-image:1.0.10-SNAPSHOT@aar",
            "ydl-pushagent"                : "com.ydl:pushagent:0.1.1",
            "ydl-notracepoint"             : "com.ydl:notracepoint-lib:0.2.3.3@aar",
            "ydl-js"                       : "com.ydl:ydl-js:1.0.7-SNAPSHOT@aar",
            "ydl-router"                   : "com.ydl:ydl-router:1.4.1-SNAPSHOT@aar",
            "xrecyclerview"                : "com.ydl:xrecyclerview:1.0.0-SNAPSHOT@aar",
            "arouter-api"                  : "com.alibaba:arouter-api:1.4.1",
            "arouter-compiler"             : "com.alibaba:arouter-compiler:1.2.2",
            "exoplayer"                    : "com.google.android.exoplayer:exoplayer:2.9.0",
            "free_reflection"              : "me.weishu:free_reflection:2.0.0",
            "imagepicker"                  : "com.ydl:imagepicker:1.0.8.2",
            "pictureselector"              : "com.ydl:pictureselector:1.2.0",
            "protector"                    : "com.ydl:protector:1.0.12@aar",
            "blankUtil"                    : "com.blankj:utilcode:1.25.9",
            "ydl-hnet"                     : "com.ydl:h-net:0.0.8",
            "ydl-user-router"              : "com.ydl:router:1.0.0-SNAPSHOT@aar",
            "ydl-device"                   : "com.ydl:device-id:0.0.30@aar",
            "ydl-net"                      : "com.ydl:ydl-net:${ydlCompileVersion["ydl-net"]}",
            "ydl-utils"                    : "com.ydl:ydl-utils:${ydlCompileVersion["ydl-utils"]}",

            //flutter功能组件升级===>发布ydl-flutter组件===>引用flutter相关的业务模块
            "ydl-flutter-base"             : "com.ydl:ydl-flutter-base:${ydlCompileVersion["ydl-flutter-base"]}", //组件化项目中的flutter base模块
            "ydl-flutter"                  : "com.ydl:ydl-flutter:0.0.44@aar", //flutter aar
//            "ydl-flutter-sp"               : "com.ydl:ydl-flutter-sp:0.0.2@aar", //flutter 缓存 aar

            //基础组件 <<--- 先发这个，发完改这里的版本号
            "ydl-platform"                 : "com.ydl:ydl-platform:${ydlCompileVersion["ydl-platform"]}@aar",
            "ydl-tuicore"                 : "com.ydl:ydl-tuicore:${ydlCompileVersion["ydl-tuicore"]}@aar",
            "m-tuicore-ydl"                 : "com.ydl:m-tuicore-ydl:${ydlCompileVersion["m-tuicore-ydl"]}@aar",
            //功能组件 <<--- 再发这些，发完改这里的版本号
            "ydl-webview"                  : "com.ydl:ydl-webview:${ydlCompileVersion["ydl-webview"]}@aar",
            "ydl-media"                    : "com.ydl:ydl-media:${ydlCompileVersion["ydl-media"]}@aar",
            "ydl-pay"                      : "com.ydl:ydl-pay:${ydlCompileVersion["ydl-pay"]}@aar",
            "m-audioim"                    : "com.ydl:m-audioim:${ydlCompileVersion["m-audioim"]}@aar",

            //业务组件 <<--- 最后发这些(只发改过的)
            "ydl-m-user-api"               : "com.ydl:m-user-api:${ydlCompileVersion["m-user-api"]}",
            "ydl-m-muse-api"               : "com.ydl:m-muse-api:${ydlCompileVersion["m-muse-api"]}",
            "ydl-m-fm-api"                 : "com.ydl:m-fm-api:${ydlCompileVersion["m-fm-api"]}",
            "ydl-m-tests-api"              : "com.ydl:m-tests-api:${ydlCompileVersion["m-tests-api"]}",
            "ydl-m-audioim-api"            : "com.ydl:m-audioim-api:${ydlCompileVersion["m-audioim-api"]}",
            "ydl-m-im-api"                 : "com.ydl:m-im-api:${ydlCompileVersion["m-im-api"]}",
            "ydl-m-home-api"               : "com.ydl:m-home-api:${ydlCompileVersion["m-home-api"]}",
            "ydl-m-consultant-api"         : "com.ydl:m-consultant-api:${ydlCompileVersion["m-consultant-api"]}",
            "ydl-m-dynamic-api"            : "com.ydl:m-dynamic-api:${ydlCompileVersion["m-dynamic-api"]}",
            "ydl-m-confide-api"            : "com.ydl:m-confide-api:${ydlCompileVersion["m-confide-api"]}",
            "ydl-m-course-api"             : "com.ydl:m-course-api:${ydlCompileVersion["m-course-api"]}",
    ]

}
